searchNodes=[{"doc":"Auxiliary functions for Yugo.","ref":"Yugo.html","title":"Yugo","type":"module"},{"doc":"Subscribes the calling process to the Client named by client_name . When you subscribe to a client, your process will be notified about new emails via a message in the form {:email, client, message} , where client is the name of the client that is notifying you, and message is the email. See the email type for the structure of the message field. You may also pass an optional Filter as the second argument to match what emails you want to be notified about. If you do not pass a filter, it defaults to Filter.all , which allows all emails to pass through.","ref":"Yugo.html#subscribe/2","title":"Yugo.subscribe/2","type":"function"},{"doc":"Unsubscribes the calling process from the specified Client . This will unsubscribe the calling process from all messages from the client, regardless of how many separate times you subscribe d","ref":"Yugo.html#unsubscribe/1","title":"Yugo.unsubscribe/1","type":"function"},{"doc":"","ref":"Yugo.html#t:address/0","title":"Yugo.address/0","type":"type"},{"doc":"A body can be either &quot;onepart&quot; or &quot;multipart&quot;. A &quot;onepart&quot; body is a tuple in the form {mime_type, params, content} , where mime_type is a mime_type , params is a string-&gt;string map, and content is a binary . A &quot;multipart&quot; body consists of a list of body s .","ref":"Yugo.html#t:body/0","title":"Yugo.body/0","type":"type"},{"doc":"An email message sent to a subscribed process.","ref":"Yugo.html#t:email/0","title":"Yugo.email/0","type":"type"},{"doc":"","ref":"Yugo.html#t:flag/0","title":"Yugo.flag/0","type":"type"},{"doc":"e.g. &quot;text/html&quot; , &quot;image/png&quot; , &quot;text/plain&quot; , etc. For more, see this list of MIME types .","ref":"Yugo.html#t:mime_type/0","title":"Yugo.mime_type/0","type":"type"},{"doc":"A persistent connection to an IMAP server. Normally you do not call the functions in this module directly, but rather start a Client as part of your application's supervision tree. For example: defmodule MyApp.Application do use Application @impl true def start ( _type , _args ) do children = [ { Yugo.Client , name : :example_client , server : &quot;imap.example.com&quot; , username : &quot;me@example.com&quot; , password : &quot;pa55w0rd&quot; } ] Supervisor . start_link ( children , strategy : :one_for_one ) end end See start_link for a list of possible arguments.","ref":"Yugo.Client.html","title":"Yugo.Client","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Yugo.Client.html#child_spec/1","title":"Yugo.Client.child_spec/1","type":"function"},{"doc":"Starts an IMAP client process linked to the calling process. Takes arguments as a keyword list. Arguments :username - Required. Username used to log in. :password - Required. Password used to log in. :name - Required. A name used to reference this Client . Can be any term. :server - Required. The location of the IMAP server, e.g. &quot;imap.example.com&quot; . :port - The port to connect to the server via. Defaults to 993 . :tls - Whether or not to connect using TLS. Defaults to true . If you set this to false , Yugo will make the initial connection without TLS, then upgrade to a TLS connection (using STARTTLS) before logging in. Yugo will never send login credentials over an insecure connection. :mailbox - The name of the mailbox to monitor for emails. Defaults to &quot;INBOX&quot; . The default &quot;INBOX&quot; mailbox is defined in the IMAP standard. If your account has other mailboxes, you can pass the name of one as a string. A single Client can only monitor a single mailbox - to monitor multiple mailboxes, you need to start multiple Client s. Advanced Arguments The following options are provided because they can be useful, but in most cases you won't need to change them from the default, unless you know what you're doing. :ssl_verify - The :verify option passed to :ssl.connect/2 . Can be :verify_peer or :verify_none . Defaults to :verify_peer . Example Normally, you do not call this function directly, but rather run it as part of your application's supervision tree. See the top of this page for example Application usage.","ref":"Yugo.Client.html#start_link/1","title":"Yugo.Client.start_link/1","type":"function"},{"doc":"The identifier used to refer to a Client .","ref":"Yugo.Client.html#t:name/0","title":"Yugo.Client.name/0","type":"type"},{"doc":"A construct that enables you to specify which emails you would like a Client to notify you about. Example To create a filter that only accepts emails that have been read and not replied to, and whose subject contains &quot;Order Information&quot;: alias Yugo.Filter my_filter = Filter . all ( ) |&gt; Filter . has_flag ( :seen ) |&gt; Filter . lacks_flag ( :answered ) |&gt; Filter . subject_matches ( ~r/Order Information/ )","ref":"Yugo.Filter.html","title":"Yugo.Filter","type":"module"},{"doc":"Returns a Filter that accepts all emails.","ref":"Yugo.Filter.html#all/0","title":"Yugo.Filter.all/0","type":"function"},{"doc":"Only accepts emails that have the specified flag. &quot;Flags&quot; are tags that are associated with an email message. Flags IMAP defines several flags that can be set by clients. Possible flags are: :seen - Message has been read. :answered - Message has been answered. :flagged - Message is &quot;flagged&quot; for urgent/special attention. :draft - Message has not completed composition (marked as a draft). :deleted - Message is &quot;deleted&quot;. In most email clients, this means it was moved to the trash folder. Example alias Filter # build a filter that only allows messages that have been seen. Filter . all ( ) |&gt; Filter . has_flag ( :seen )","ref":"Yugo.Filter.html#has_flag/2","title":"Yugo.Filter.has_flag/2","type":"function"},{"doc":"Only accepts emails that do not have the specified flag. See has_flag/2 for more information about flags. Example alias Filter # build a filter that allows all messages that do not have the :deleted flag Filter . all ( ) |&gt; Filter . lacks_flag ( :deleted )","ref":"Yugo.Filter.html#lacks_flag/2","title":"Yugo.Filter.lacks_flag/2","type":"function"},{"doc":"Accepts emails where the email address of the sender matches the given Regex . Example alias Yugo.Filter # make a filter that only accepts emails sent from &quot;peter@example.com&quot; or &quot;alex@example.com&quot; Filter . all ( ) |&gt; Filter . sender_matches ( ~r/(peter|alex)@example.com/i )","ref":"Yugo.Filter.html#sender_matches/2","title":"Yugo.Filter.sender_matches/2","type":"function"},{"doc":"Accepts emails whose &quot;subject&quot; line matches the given Regex .","ref":"Yugo.Filter.html#subject_matches/2","title":"Yugo.Filter.subject_matches/2","type":"function"},{"doc":"","ref":"Yugo.Filter.html#t:t/0","title":"Yugo.Filter.t/0","type":"type"},{"doc":"Yugo is an easy and high-level IMAP client library for Elixir. To begin, start a Yugo.Client as part of your application's supervision tree: defmodule MyApp.Application do use Application @impl true def start ( _type , _args ) do children = [ { Yugo.Client , name : :example_client , server : &quot;imap.example.com&quot; , username : &quot;me@example.com&quot; , password : &quot;pa55w0rd&quot; } ] Supervisor . start_link ( children , strategy : :one_for_one ) end end Now you can call Yugo.subscribe/2 to have your process receive messages whenever a new email arrives that matches the provided Yugo.Filter : # filter to only notify us about messages containing &quot;hello&quot; or &quot;goodbye&quot; in the subject: my_filter = Yugo.Filter . all ( ) |&gt; Yugo.Filter . subject_matches ( ~r/(hello|goodbye)/ ) # By subscribing, our process will be notified about all future emails that match the filter. Yugo . subscribe ( :example_client , my_filter ) receive do { :email , _client , message } -&gt; IO . puts ( &quot;Received an email with subject ` \#{ message . subject } `:&quot; ) IO . inspect ( message ) end","ref":"readme.html","title":"Yugo","type":"extras"}]